### Method

# Gtk Editableinsert_text

#### Declaration [src]

    void
    gtk_editable_insert_text (
      GtkEditable* editable,
      const char* text,
      int length,
      int* position
    )

#### Description [src]

Inserts `length` bytes of `text` into the contents of the widget, at position `position`.

Note that the position is in characters, not in bytes. The function updates `position` to point after the newly inserted text.

#### Parameters

`text`

  Type: `const char*`

  The text to insert.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `int`

  The length of the text in bytes, or -1

`position`

  Type: `int*`

  Location of the position text will be inserted at.

  The argument will be modified by the function.